//
//  SifSqlite.h
//  SifSqlite Framework
//
//  Created by Manfred Bergmann on 06.06.05.
//  Copyright 2005 mabe. All rights reserved.
//

// $Author: asrael $
// $HeadURL: file://localhost/Volumes/User/mbergmann/_svnrepo/private/cocoa/SifSqlite/trunk/src/SifSqlite.h $
// $LastChangedBy: asrael $
// $LastChangedDate: 2005-08-19 10:16:20 +0100 (Fri, 19 Aug 2005) $
// $Rev: 239 $

#import <SifSqlite/MBSqliteAccess.h>

#ifdef DEBUG
	#define CLOG1(X)	NSLog(X)
	#define CLOG2(X,Y)	NSLog(X,Y)
#else
	#define CLOG1(X)	;
	#define CLOG2(X,Y)	;
#endif

/**
\brief Error codes for MBSqliteAccess
 */
enum MBDBAccessErrorCodes {
	MBDB_SUCCESS = 0,				/** On success */
	MBDB_ALREADY_OPEN,				/** On trying to open an already opened connection */
	MBDB_PATH_IS_NIL,				/** If given path is nil */
	MBDB_SQLSTMT_IS_NIL,			/** If given sql statement is nil */
	MBDB_SQLSTMT_IS_EMPTY,			/** If a emtpy sql statement is given */
	MBDB_SQLBUNCH_IS_NIL,			/** if given sql array is nil */
	MBDB_CANNOT_OPEN,				/** Error occured at sqlite3_open */
	MBDB_CANNOT_CLOSE,				/** Error occured at sqlite3_close */
	MBDB_CANNOT_EXECUTE,			/** Error on executing a sql statement */
	MBDB_CANNOT_COMPILE_SQLSTMT,	/** If sql statement could not be compiled */
	MBDB_CANNOT_ALLOC_MEMORY_FOR_SQLSTMT,	/** if malloc returns a nil pointer */
	MBDB_NO_OPEN_CONNECTION,		/** If we have no open connection */
	MBDB_UNRECOGNIZED_COLUMNTYPE,	/** If type of column is not recognized */
	MBDB_BUSY,						/** DB is busy, cannot make query or close */
	MBDB_ABORT						/** DB aborted query */
};
